<template>
    <div class="card-timeline" :class="{'card-timeline__link': item.link}">
    	<div class="card-timeline__inner">
            <div class="card-timeline__img" v-if="item.img" :style="`background-image: url(${item.img});`">
                <span class="card-timeline__date">{{ item.date }}</span>
            </div>
        	<div class="card-timeline__content">
                <div class="card-timeline__date" v-if="!!item.img == false">{{ item.date }}</div>  		
	            <div class="card-timeline__title">{{ item.title }}</div>
                <div class="card-timeline__text" v-html="item.text"></div>
        	</div>
            <a :href="item.link" v-if="item.link" class="full"></a>
    	</div>
    </div>
</template>

<script>
import truncate from "lodash-es/truncate";

export default {
    props: ['item'],
    filters: {
    	truncate: (str) => {
    		return truncate(str, {length: 300})
    	}
    },
}
</script>